WPA_SUPPLICANT(8) | System Manager's Manual | WPA_SUPPLICANT(8)

# NAME

`wpa_supplicant` —
WPA/802.11i Supplicant for wireless network devices

# SYNOPSIS

`wpa_supplicant` | [`-BdhKLqstvW`] [`-b` br_ifname] [`-C` ctrl] `-c` config-file [`-D` driver] [`-e` entropy-file] [`-f` debug-file] [`-G` global-ctrl-group] [`-g` global-ctrl] [`-I` additional-config-file] [`-i` ifname] [`-O` override-ctrl] [`-o` override-driver] [`-P` pidfile] [`-p` parameters] [`-M` [`-i` ifname] `-c` config-file ...] [`-N` `-i` ifname `-c` config-file ...]

# DESCRIPTION

The `wpa_supplicant` utility is an implementation of the WPA Supplicant component, i.e., the part that runs in the client stations. It implements WPA key negotiation with a WPA Authenticator and EAP authentication with an Authentication Server. In addition, `wpa_supplicant` controls the roaming and IEEE 802.11 authentication/association support and can be used to configure static WEP keys based on identified networks.

The `wpa_supplicant` utility is designed to be a “daemon” program that runs in the background and acts as the backend component controlling the wireless connection. It supports separate frontend programs such as the text-based wpa_cli(8) program.

The following arguments must be specified on the command line:

`-i` ifname
  Use the specified wireless interface.
`-c` config-file
  Use the settings in the specified configuration file when managing the wireless interface. See wpa_supplicant.conf(5) for a description of the configuration file syntax and contents.

  Changes to the configuration file can be reloaded by sending a `SIGHUP` signal to the `wpa_supplicant` process or with the wpa_cli(8) utility, using “`wpa_cli reconfigure`”.

# OPTIONS

The following options are available:

`-B`
  Detach from the controlling terminal and run as a daemon process in the background.
`-b` br_ifname
  Optional bridge interface name.
`-C` ctrl
  Control interface parameter.
`-D` driver
  Driver name (can be either bsd or wired)
`-d`
  Enable debugging messages. If this option is supplied twice, more verbose messages are displayed. Messages are sent to stdout by default, even when daemonised. This can be changed with the `-f` flag.
`-e` entropy-file
  Specifies a file to store entropy.
`-f` debug-file
  Specifies a file to send debug messages to when enabled with the `-d` flag.
`-G` global-ctrl-group
  Global control interface group.
`-g` global-ctrl
  Global control interface.
`-h`
  Show help text.
`-I` additional-config-file
  Additional configuration file.
`-K`
  Include key information in debugging output.
`-L`
  Display the license for this program on the terminal and exit.
`-M` [`-i` matchifname] `-c` config-file ...
  Matches the interface name using fnmatch(3), or all interfaces if `-i` is not specified. If multiple interfaces are matched then `wpa_supplicant` will manage them all with a single process.
`-N` `-i` ifname `-c` config-file ...
  Specify an additional interface and configuration file. If multiple interfaces are specified then `wpa_supplicant` will manage them all with a single process.
`-O` override-ctrl
  Override ctrl_interface parameter for new interface.
`-o` override-driver
  Override driver paramter for new interface.
`-P` pidfile
  File in which to save the process PID.
`-p` parameters
  Specify driver parameters.
`-q`
  Decrease debugging verbosity (i.e., counteract the use of the `-d` flag).
`-s`
  Send log messages through syslog(3) instead of to the terminal.
`-t`
  Include timestamp in debug messages.
`-v`
  Display version information on the terminal and exit.
`-W`
  Wait for a control interface monitor before starting.

# SEE ALSO

fnmatch(3), ath(4), ipw(4), iwi(4), iwn(4), ral(4), rum(4), wi(4), wpi(4), zyd(4), wpa_supplicant.conf(5), ifconfig(8), wpa_cli(8), wpa_passphrase(8)

# HISTORY

The `wpa_supplicant` utility first appeared in NetBSD 4.0.

# AUTHORS

The `wpa_supplicant` utility was written by Jouni Malinen <jkmaline@cc.hut.fi>. This manual page is derived from the README file included in the `wpa_supplicant` distribution.

June 19, 2019 | NetBSD 9.0